%define _suffix -RC1
%define _engine dreamer
Name:           dreamchess
Version:        0.2.1
Release:        1%{?dist}
Summary:        Portable chess game 
License:        GPLv3
URL:            http://www.dreamchess.org/
Source0:        http://sf.net/projects/%{name}/files/%{name}/Git/%{name}-%{version}%{_suffix}.tar.gz
Source1:        https://raw.githubusercontent.com/Arch-Games/arch-games/master/packages/%{name}/%{name}.desktop

BuildRequires:  mxml-devel
BuildRequires:  SDL-devel SDL_image-devel SDL_mixer-devel 
BuildRequires:  desktop-file-utils

%description
A portable chess game consisting of an xboard-compatible OpenGL 
user interface with 2D and 3D board views and a chess engine.


%package data
Summary:   Data files for the game DreamChess
BuildArch: noarch
Requires:  %{name}

%description data
Data files for the game DreamChess:
Boards, Pieces, Sounds, Styles, Themes.

%prep
%autosetup -n %{name}-%{version}%{_suffix}


%build
%configure LIBS=-lm
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%files
%{_bindir}/%{name}
%{_bindir}/%{_engine}
%{_datadir}/%{name}/font.*
%{_datadir}/%{name}/icon.*
%{_datadir}/%{name}/menu_title.png
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man6/%{name}.6.gz 
%doc %{_mandir}/man6/%{_engine}.6.gz
%doc README NEWS COPYING COPYRIGHT AUTHORS

%files data
%{_datadir}/%{name}/boards/
%{_datadir}/%{name}/pieces/
%{_datadir}/%{name}/sounds/
%{_datadir}/%{name}/styles/
%{_datadir}/%{name}/themes/


%changelog
* Wed Sep 10 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0.2.1-1
- initial
